#!/bin/bash

# 安装Nvidia 闭源驱动
function installNvidiaDriver() {
	echo "install nvidia driver"
	#dpkg -P ocl-icd-libopencl1  # conflict
	apt-get -y --allow-downgrades --allow-remove-essential --allow-change-held-packages --install-suggests install nvidia-driver
	apt-get -y --install-suggests install nvidia-alternative nvidia-legacy-check xserver-xorg-video-nvidia

        ln -s /usr/lib/x86_64-linux-gnu/libGL.so.1 /usr/lib/libGL.so
        echo FRAMEBUFFER=y | tee /etc/initramfs-tools/conf.d/splash
        echo "GRUB_GFXMODE=1920x1080,1024x768,auto" >> /etc/default/grub
        echo "GRUB_GFXPAYLOAD_LINUX=keep" >>/etc/default/grub
        update-grub2
        update-initramfs -u
}

have_nvidia=`lspci -nn | grep VGA |grep -i NVIDIA | tr 'a-z' 'A-Z' `

if [ -z "$have_nvidia" ]; then
	echo "not nvidia, return"
	exit 0
fi

echo "it is nvidia" 

cat /usr/share/nfsdrivers/nvidia_device_ids | while read line
do 
	if [[ $have_nvidia == *"$line"* ]]; then
		echo "match id"
		installNvidiaDriver
		break
	fi
done

